Cannot access MBW via SSH, 22 port is not opened

Hello Everybody!

I have My Book World Edition II network drive with 2 HDD-s inside set in RAID 1. Dashboard is working fine and I can access files on the drive through my local network. After the factory restore I cannot access the drive via SSH anymore though I enabled and saved it again in MBW dashboard after factory restore. When I try to access the drive via SSH with PuTTY I get an error. I scanned MBW ports with LanSpy and it showed that 22 port which is used for SSH connection by default is not opened. I haven’t changed SSH default port number so it is really weird, because it actually should be opened since the SSH access is enabled in the dashoard. Seems that changes in the dashboard do not affect the drive. I took on of the HDD-s out of the box and connected it via SATA interface to PC with Linux. I was able to mount it and got access to its operation system files, same as if I would access it it remotely with some SFTP program (for example WinSCP).

My question now is: Is it possible to enable SSH access somewhere in MBW configuration files or scripts on Linux PC, so that when I put the drive back to the box 22 port will be opened and SSH access will work again?

Thanks beforehand!

Please help!

Does anyone know where is located the file or script in My Book World network drive which enables or disables SSH access in the dashboard? Just need to know the exact path to this file, thats all.

Thanks beforehand!

I found the following configuration file here: /proto/SxM_webui/admin/config.xml

There is the following line in it: yes

If I write there “no” instead of “yes”(no) and save changes then in dahboard it starts showing that SSH access is disabled (unticked), but it doesn’t abort SSH connection and actually SSH port 22 is still enabled=(

But when I change SSH access from dashboard this line is modified in the same way, but it at the same time it opens and closes port 22. So there is somethign else to be modified except this configuration file to enable/disable SSH connection.

I also found the following script: /proto/SxM_webui/admin/system_advanced.php which seems to start when you change SSH status in dahboard.

Please help if you have any ideas.

You would need to manually stop the ssh daemon now to close the port

On a MBL you would stop the SSH daemon manually as follows

MyBookLive:~# /etc/init.d/ssh stop
Stopping OpenBSD Secure Shell server: sshd.
MyBookLive:~#

Leave the PuTTY or Terminal window open because if you close it you won’t be able to start the ssh daemon again without using the dashboard

Open and try to connect to the drive using a NEW PuTTY or Terminal connection and It shouldn’t connect now

Now go back to your open window and turn SSH back on

On a MBL you would start the SSH daemon manually as follows

MyBookLive:~# /etc/init.d/ssh start
Starting OpenBSD Secure Shell server: sshd.
MyBookLive:~#

I don’t own a MBW but I would assume the process is close. If it says file not found, browse around in /etc/init.d for some sort of SSH file and make the appropriate changes to the above command.

May I ask what you are trying to accomplish if you can turn it on and off via the dashbard?

Here is the MyBookLive ssh script /etc/init.d/ssh

#! /bin/sh

### BEGIN INIT INFO
# Provides: sshd
# Required-Start:	$remote_fs $syslog
# Required-Stop:	$remote_fs $syslog
# Default-Start:	2 3 4 5
# Default-Stop: 1
# Short-Description:	OpenBSD Secure Shell server
### END INIT INFO

set -e

# /etc/init.d/ssh: start and stop the OpenBSD "secure shell(tm)" daemon

test -x /usr/sbin/sshd || exit 0
( /usr/sbin/sshd -\? 2>&1 | grep -q OpenSSH ) 2>/dev/null || exit 0

export SSHD_OOM_ADJUST=-17
if test -f /etc/default/ssh; then
    . /etc/default/ssh
fi

. /lib/lsb/init-functions

if [-n "$2"]; then
    SSHD_OPTS="$SSHD_OPTS $2"
fi

# Are we running from init?
run_by_init() {
    (["$previous"] && ["$runlevel"]) || ["$runlevel" = S]
}

check_for_no_start() {
    # forget it if we're trying to start, and /etc/ssh/sshd_not_to_be_run exists
    if [-e /etc/ssh/sshd_not_to_be_run]; then 
	if ["$1" = log_end_msg]; then
	    log_end_msg 0
	fi
	if ! run_by_init; then
	    log_action_msg "OpenBSD Secure Shell server not in use (/etc/ssh/sshd_not_to_be_run)"
	fi
	exit 0
    fi
}

check_dev_null() {
    if [! -c /dev/null]; then
	if ["$1" = log_end_msg]; then
	    log_end_msg 1 || true
	fi
	if ! run_by_init; then
	    log_action_msg "/dev/null is not a character device!"
	fi
	exit 1
    fi
}

check_privsep_dir() {
    # Create the PrivSep empty dir if necessary
    if [! -d /var/run/sshd]; then
	mkdir /var/run/sshd
	chmod 0755 /var/run/sshd
    fi
}

check_config() {
    if [! -e /etc/ssh/sshd_not_to_be_run]; then
	/usr/sbin/sshd -t || exit 1
    fi
}

export PATH="${PATH:+$PATH:}/usr/sbin:/sbin"

case "$1" in
  start)
	check_privsep_dir
	check_for_no_start
	check_dev_null
	log_daemon_msg "Starting OpenBSD Secure Shell server" "sshd"
	if ["`/usr/local/sbin/getServiceStartup.sh ssh`" == "disabled"]; then
		log_progress_msg "disabled";
		log_end_msg 0
		exit 0
	fi  
	if start-stop-daemon --start --quiet --oknodo --pidfile /var/run/sshd.pid --exec /usr/sbin/sshd -- $SSHD_OPTS; then
	    log_end_msg 0
	else
	    log_end_msg 1
	fi
	;;
  stop)
	log_daemon_msg "Stopping OpenBSD Secure Shell server" "sshd"
	if start-stop-daemon --stop --quiet --oknodo --pidfile /var/run/sshd.pid; then
	    log_end_msg 0
	else
	    log_end_msg 1
	fi
	;;

  reload|force-reload)
	check_for_no_start
	check_config
	log_daemon_msg "Reloading OpenBSD Secure Shell server's configuration" "sshd"
	if start-stop-daemon --stop --signal 1 --quiet --oknodo --pidfile /var/run/sshd.pid --exec /usr/sbin/sshd; then
	    log_end_msg 0
	else
	    log_end_msg 1
	fi
	;;

  restart)
	check_privsep_dir
	check_config
	log_daemon_msg "Restarting OpenBSD Secure Shell server" "sshd"
	start-stop-daemon --stop --quiet --oknodo --retry 30 --pidfile /var/run/sshd.pid
	check_for_no_start log_end_msg
	check_dev_null log_end_msg
	if start-stop-daemon --start --quiet --oknodo --pidfile /var/run/sshd.pid --exec /usr/sbin/sshd -- $SSHD_OPTS; then
	    log_end_msg 0
	else
	    log_end_msg 1
	fi
	;;

  try-restart)
	check_privsep_dir
	check_config
	log_daemon_msg "Restarting OpenBSD Secure Shell server" "sshd"
	set +e
	start-stop-daemon --stop --quiet --retry 30 --pidfile /var/run/sshd.pid
	RET="$?"
	set -e
	case $RET in
	    0)
		# old daemon stopped
		check_for_no_start log_end_msg
		check_dev_null log_end_msg
		if start-stop-daemon --start --quiet --oknodo --pidfile /var/run/sshd.pid --exec /usr/sbin/sshd -- $SSHD_OPTS; then
		    log_end_msg 0
		else
		    log_end_msg 1
		fi
		;;
	    1)
		# daemon not running
		log_progress_msg "(not running)"
		log_end_msg 0
		;;
	    *)
		# failed to stop
		log_progress_msg "(failed to stop)"
		log_end_msg 1
		;;
	esac
	;;

  status)
	status_of_proc -p /var/run/sshd.pid /usr/sbin/sshd sshd && exit 0 || exit $?
	;;

  *)
	log_action_msg "Usage: /etc/init.d/ssh {start|stop|reload|force-reload|restart|try-restart|status}"
	exit 1
esac

exit 0

Good luck